
function AISMN_RemoveFromGame::OnEnter(%this, %data)
{
   %object = GetThisObject(%data);
   
   //RemoveObjectFromPlay(%data);
   slgSendObjDestroyMsgLocal(%object);
   %object.onDestroy();
   
   slgUnemployObject(%object);
   slgUnhouseObject(%object);
   slgUnhideObject(%object);
   %object.setTeam(0);
   return;
}

function AISMN_RemoveFromGame::OnExit(%this, %data)
{
}

function AISMN_RemoveFromGame::Update(%this, %data)
{
   ReturnValue(%data, 0);
}
